osl::move_generator::GenerateEscape< P > Struct Template Reference

`#include <escape_.h>`

## Static Public Member Functions

template<class Action>
static void | generate (const NumEffectState &state, Piece piece, Action &a)
static void | generate (const NumEffectState &state, Piece piece, MoveVector &out)
template<class Action>
static void | generateCheap (const NumEffectState &state, Piece piece, Action &a)
static void | generateCheap (const NumEffectState &state, Piece piece, MoveVector &out)
template<size_t Capacity>
static void | generateKingEscape (const NumEffectState &state, FixedCapacityVector< Move, Capacity > &out)
| 不成の受けは作成しないので必要な場合はユーザが作成
template<size_t Capacity>
static void | generateCheapKingEscape (const NumEffectState &state, FixedCapacityVector< Move, Capacity > &out)

## Detailed Description

template<Player P>
struct osl::move_generator::GenerateEscape< P >

Definition at line 104 of file escape_.h.

## Member Function Documentation

## generate() [1/2]

template<Player P>
template<class Action>

void osl::move_generator::GenerateEscape< P >::generate | ( | const NumEffectState & | state,
|  | Piece | piece,
|  | Action & | a )

inline static

Definition at line 107 of file escape_.h.

References generate().

Referenced by generate(), generate(), generateCheap(), and generateCheap().

## generate() [2/2]

template<Player P>

void osl::move_generator::GenerateEscape< P >::generate | ( | const NumEffectState & | state,
|  | Piece | piece,
|  | MoveVector & | out )

inline static

Definition at line 111 of file escape_.h.

References generate().

## generateCheap() [1/2]

template<Player P>
template<class Action>

void osl::move_generator::GenerateEscape< P >::generateCheap | ( | const NumEffectState & | state,
|  | Piece | piece,
|  | Action & | a )

inline static

Definition at line 117 of file escape_.h.

References generate().

## generateCheap() [2/2]

template<Player P>

void osl::move_generator::GenerateEscape< P >::generateCheap | ( | const NumEffectState & | state,
|  | Piece | piece,
|  | MoveVector & | out )

inline static

Definition at line 122 of file escape_.h.

References generate().

## generateCheapKingEscape()

template<Player P>
template<size_t Capacity>

void osl::move_generator::GenerateEscape< P >::generateCheapKingEscape | ( | const NumEffectState & | state,
|  | FixedCapacityVector< Move, Capacity > & | out )

inline static

Definition at line 136 of file escape_.h.

References osl::move_generator::Escape< Action >::generateKingEscape().

Referenced by osl::GenerateEscapeKing::generateCheap().

## generateKingEscape()

template<Player P>
template<size_t Capacity>

void osl::move_generator::GenerateEscape< P >::generateKingEscape | ( | const NumEffectState & | state,
|  | FixedCapacityVector< Move, Capacity > & | out )

inline static

不成の受けは作成しないので必要な場合はユーザが作成

Definition at line 130 of file escape_.h.

References osl::move_generator::Escape< Action >::generateKingEscape().

Referenced by osl::checkmate::Dfpn::generateCheck().

The documentation for this struct was generated from the following file:

- escape_.h